'use strict';

var classNames = require('classnames');
var t = require('react');
var wixRichContentCommon = require('wix-rich-content-common');
var Tooltip = require('wix-rich-content-common/libs/Tooltip');
var styleInject_es = require('../style-inject.es-e29c91b9.js');
var Icons_ErrorIcon = require('../Icons/ErrorIcon.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var classNames__default = /*#__PURE__*/_interopDefaultCompat(classNames);
var t__default = /*#__PURE__*/_interopDefaultCompat(t);
var Tooltip__default = /*#__PURE__*/_interopDefaultCompat(Tooltip);

var css_248z = ".j-Mw-{align-items:center;color:#fff;display:flex;height:100%;justify-content:center;position:absolute;top:0;width:100%}[dir] .j-Mw-{background:rgba(0,0,0,.5);text-align:center}.qTLU0{height:20px;width:20px}[dir] .CCHfy{margin-bottom:56px}.Ttd7y{font-size:16px;line-height:24px;position:absolute}";
var styles = {"error":"j-Mw-","errorIcon":"qTLU0","errorIconWithMessage":"CCHfy","errorMsg":"Ttd7y"};
styleInject_es.styleInject(css_248z);

const errorMessages = {
  [wixRichContentCommon.MediaUploadErrorKey.GENERIC]: "UploadFile_Error_Generic_Item",
  [wixRichContentCommon.MediaUploadErrorKey.QUOTA_STORAGE_VISITOR]: "UploadFile_Error_Generic_Item",
  [wixRichContentCommon.MediaUploadErrorKey.QUOTA_STORAGE_OWNER]: "UploadFile_Error_Generic_Item",
  [wixRichContentCommon.MediaUploadErrorKey.QUOTA_VIDEO_VISITOR]: "UploadFile_Error_Generic_Item",
  [wixRichContentCommon.MediaUploadErrorKey.QUOTA_VIDEO_OWNER]: "UploadFile_Error_Generic_Item",
  [wixRichContentCommon.MediaUploadErrorKey.SIZE_LIMIT]: "UploadFile_Error_Size_Item"
};
const MediaItemErrorMsg = (props) => {
  const { error, t, isTooltip } = props;
  const errorMsg = error.key && (t == null ? void 0 : t(errorMessages[error.key])) || error.msg || (t == null ? void 0 : t("UploadFile_Error_Generic_Item"));
  const errorIconStyles = classNames__default.default(styles.errorIcon, !isTooltip && styles.errorIconWithMessage);
  return /* @__PURE__ */ t__default.default.createElement("div", { className: styles.error }, isTooltip ? /* @__PURE__ */ t__default.default.createElement(Tooltip__default.default, { content: errorMsg, isError: true }, /* @__PURE__ */ t__default.default.createElement(Icons_ErrorIcon, { className: errorIconStyles })) : /* @__PURE__ */ t__default.default.createElement(t__default.default.Fragment, null, /* @__PURE__ */ t__default.default.createElement(Icons_ErrorIcon, { className: errorIconStyles }), /* @__PURE__ */ t__default.default.createElement("div", { className: styles.errorMsg }, errorMsg)));
};

module.exports = MediaItemErrorMsg;
//# sourceMappingURL=MediaItemErrorMsg.js.map
