'use strict';

var classNames = require('classnames');
var lodash = require('lodash');
var t = require('react');
var Tooltip = require('wix-rich-content-common/libs/Tooltip');
var styleInject_es = require('../style-inject.es-e29c91b9.js');
var Icons_SearchIcon = require('../Icons/SearchIcon.js');
var Icons_ErrorIcon = require('../Icons/ErrorIcon.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var classNames__default = /*#__PURE__*/_interopDefaultCompat(classNames);
var t__default = /*#__PURE__*/_interopDefaultCompat(t);
var Tooltip__default = /*#__PURE__*/_interopDefaultCompat(Tooltip);

var css_248z = ".glob_fontElementMap,.qqNNK{font-family:var(--ricos-font-family,unset)}.WnCMp{position:relative}.WnCMp:hover svg{fill:var(--ricos-settings-icons-color,#000)}.ia-II{box-sizing:border-box;color:var(--ricos-settings-text-color,#333);font-family:var(--ricos-settings-text-font-family,Helvetica Neue,Helvetica,Arial);font-size:16px;font-weight:300;height:42px;line-height:1.5;width:100%}[dir] .ia-II{border:1px solid var(--ricos-settings-inputs-border-color,rgba(0,0,0,.6))!important;border-radius:var(--ricos-settings-inputs-border-radius,0)!important}[dir=ltr] .ia-II{padding-left:18px}[dir=rtl] .ia-II{padding-right:18px}.ia-II::placeholder{color:var(--ricos-settings-inputs-placeholder-color,#646464)}[dir] .ia-II:hover{border:1px solid rgba(var(--ricos-settings-action-color-tuple,0,0,0),.5)!important}[dir=ltr] .ia-II._9Ys9m{padding-left:34px}[dir=rtl] .ia-II._9Ys9m{padding-right:34px}[dir] .ZHGLk{border-color:red}[dir=ltr] .ZHGLk{padding-right:39px}[dir=rtl] .ZHGLk{padding-left:39px}.VSdLR{bottom:0;color:#ee5951;position:absolute;top:0;width:13px}[dir] .VSdLR{margin:auto}[dir=ltr] .VSdLR{right:13px}[dir=rtl] .VSdLR{left:13px}.p8jXo{fill:rgba(0,0,0,.6);bottom:0;position:absolute;top:0;width:24px}[dir] .p8jXo{margin:auto}[dir=ltr] .p8jXo{left:7px}[dir=rtl] .p8jXo{right:7px}._69-aW{fill:var(--ricos-settings-icons-color,#000)}.ME2d2{fill:rgba(0,0,0,.6)}";
var styles = {"fontElementMap":"qqNNK","textInput":"WnCMp","textInput_input":"ia-II","searchIcon":"_9Ys9m","textInput_input_invalid":"ZHGLk","textInput_errorIcon":"VSdLR","prefixIcon":"p8jXo","focusFill":"_69-aW","unfocusFill":"ME2d2"};
styleInject_es.styleInject(css_248z);

var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __objRest = (source, exclude) => {
  var target = {};
  for (var prop in source)
    if (__hasOwnProp.call(source, prop) && exclude.indexOf(prop) < 0)
      target[prop] = source[prop];
  if (source != null && __getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(source)) {
      if (exclude.indexOf(prop) < 0 && __propIsEnum.call(source, prop))
        target[prop] = source[prop];
    }
  return target;
};
class TextInput extends t.Component {
  constructor(props) {
    super(props);
    this.handleOnChange = (event) => {
      const { onChange, getTarget } = this.props;
      onChange == null ? void 0 : onChange(getTarget ? event.target : event.target.value);
    };
    this.focusSearchIcon = () => {
      this.setState({ focusSearchIcon: true });
    };
    this.unfocusSearchIcon = () => {
      this.setState({ focusSearchIcon: false });
    };
    this.state = {
      focusSearchIcon: true
    };
  }
  render() {
    const _a = this.props, {
      inputRef,
      error,
      showTooltip,
      searchIcon = false,
      dataHook,
      showErrorIcon,
      placeholder,
      style,
      inputDataHook
    } = _a, otherProps = __objRest(_a, [
      "inputRef",
      "error",
      "showTooltip",
      "searchIcon",
      "dataHook",
      "showErrorIcon",
      "placeholder",
      "style",
      "inputDataHook"
    ]);
    const inputProps = lodash.omit(otherProps, ["onChange"]);
    const { focusSearchIcon } = this.state;
    return /* @__PURE__ */ t__default.default.createElement("div", { className: styles.textInput, "data-hook": dataHook }, searchIcon && /* @__PURE__ */ t__default.default.createElement(
      Icons_SearchIcon,
      {
        className: classNames__default.default(styles.prefixIcon, {
          [styles.unfocusFill]: !focusSearchIcon,
          [styles.focusFill]: focusSearchIcon
        })
      }
    ), /* @__PURE__ */ t__default.default.createElement(
      "input",
      __spreadProps(__spreadValues({
        placeholder,
        ref: inputRef,
        onChange: this.handleOnChange,
        onFocus: this.focusSearchIcon,
        onBlur: this.unfocusSearchIcon,
        onDoubleClick: otherProps == null ? void 0 : otherProps.onDoubleClick,
        style,
        "data-hook": inputDataHook
      }, inputProps), {
        className: classNames__default.default(styles.textInput_input, inputProps == null ? void 0 : inputProps.className, {
          [styles.textInput_input_invalid]: error,
          [styles.searchIcon]: searchIcon
        })
      })
    ), error && showErrorIcon && (showTooltip ? /* @__PURE__ */ t__default.default.createElement(Tooltip__default.default, { isError: true, content: error }, /* @__PURE__ */ t__default.default.createElement(Icons_ErrorIcon, { className: styles.textInput_errorIcon })) : /* @__PURE__ */ t__default.default.createElement(Icons_ErrorIcon, { className: styles.textInput_errorIcon })));
  }
}
TextInput.defaultProps = {
  showTooltip: true,
  showErrorIcon: true
};

module.exports = TextInput;
//# sourceMappingURL=TextInput.js.map
