'use strict';

var unidriver = require('@wix/design-system/dist/testkit/unidriver');
var ricosStyles = require('ricos-styles');
var wixRichContentCommon = require('wix-rich-content-common');
var colorPicker_common_dataHooks = require('./data-hooks.js');

var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
const createColorSwatchesUnidriver = (getBase) => {
  const getSwatchesBase = async () => getBase().get(wixRichContentCommon.dataHook(colorPicker_common_dataHooks.SWATCHES));
  const getSwatch = async (index) => {
    const swatches = await getSwatchesBase();
    return swatches.$$(wixRichContentCommon.dataHook(colorPicker_common_dataHooks.SWATCH)).get(index);
  };
  return {
    addCustomColorButton: unidriver.FillButtonUniDriver(
      getBase().$(wixRichContentCommon.dataHook(colorPicker_common_dataHooks.ADD_CUSTOM_COLOR_BUTTON)),
      getBase()
    ),
    resetColorButton: unidriver.FillButtonUniDriver(getBase().$(wixRichContentCommon.dataHook(colorPicker_common_dataHooks.RESET_COLOR_BUTTON)), getBase()),
    getSwatch: async (index) => {
      const swatch = await getSwatch(index);
      return __spreadProps(__spreadValues({}, unidriver.FillPreviewUniDriver(swatch, getBase())), {
        getColor: async () => {
          const el = await swatch.get(`button`);
          const style = await el._prop("style");
          return ricosStyles.toHexFormat(style.getPropertyValue("background-color"));
        },
        getStyle: async () => {
          const el = await swatch.get(`button`);
          const style = await el._prop("style");
          return style;
        }
      });
    }
  };
};

exports.createColorSwatchesUnidriver = createColorSwatchesUnidriver;
//# sourceMappingURL=color-swatches-unidriver.js.map
