'use strict';

var designSystem = require('@wix/design-system');
var t = require('react');
var RevertSmall = require('../../RevertSmall-d9e2fd1f.js');
var classNames = require('classnames');
var ricosContext = require('ricos-context');
var styleInject_es = require('../../style-inject.es-e29c91b9.js');
var colorPicker_common_dataHooks = require('./data-hooks.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var t__default = /*#__PURE__*/_interopDefaultCompat(t);
var classNames__default = /*#__PURE__*/_interopDefaultCompat(classNames);

var css_248z = "._6YoiS{display:grid;gap:var(--ricos-color-picker-color-swatch-gap,12px);grid-template-columns:repeat(auto-fill,var(--ricos-color-picker-color-swatch-size,24px));justify-content:space-between}.buV-q{width:var(--ricos-color-picker-color-swatch-size,24px)}.MxwB7{--ricos-color-picker-color-swatch-size:36px}";
var classes = {"container":"_6YoiS","colorSwatch":"buV-q","medium":"MxwB7"};
styleInject_es.styleInject(css_248z);

const ColorSwatches = ({
  userColors,
  selectedColor,
  onAddClick,
  onChange,
  size = "small",
  allowEmpty,
  showResetButton
}) => {
  const { t: t$1 } = t.useContext(ricosContext.RicosContext);
  const zIndexService = t.useContext(ricosContext.ZIndexContext);
  return /* @__PURE__ */ t__default.default.createElement(
    "div",
    {
      className: classNames__default.default(classes.container, {
        [classes.medium]: size === "medium"
      }),
      "data-hook": colorPicker_common_dataHooks.SWATCHES
    },
    showResetButton && /* @__PURE__ */ t__default.default.createElement(
      designSystem.FillButton,
      {
        icon: /* @__PURE__ */ t__default.default.createElement(RevertSmall.a, null),
        iconSize: "medium",
        onClick: () => onChange(void 0),
        dataHook: colorPicker_common_dataHooks.RESET_COLOR_BUTTON,
        tooltipContent: t$1("ColorPickerResetColor_Tooltip"),
        tooltipProps: {
          appendTo: (el) => {
            var _a;
            return Boolean((_a = el.getAttribute("data-hook")) == null ? void 0 : _a.includes("ricos-portal"));
          },
          zIndex: zIndexService.getZIndex("TOOLTIP")
        }
      }
    ),
    /* @__PURE__ */ t__default.default.createElement(
      designSystem.FillButton,
      {
        iconSize: "medium",
        onClick: onAddClick,
        dataHook: colorPicker_common_dataHooks.ADD_CUSTOM_COLOR_BUTTON,
        tooltipContent: t$1("ColorPickerAddCustomColor_Tooltip"),
        tooltipProps: {
          appendTo: (el) => {
            var _a;
            return Boolean((_a = el.getAttribute("data-hook")) == null ? void 0 : _a.includes("ricos-portal"));
          },
          zIndex: zIndexService.getZIndex("TOOLTIP")
        }
      }
    ),
    allowEmpty && /* @__PURE__ */ t__default.default.createElement(EmptyColorSwatch, { onClick: onChange, selected: selectedColor === void 0 }),
    userColors.map((userColor) => /* @__PURE__ */ t__default.default.createElement(
      ColorSwatch,
      {
        key: userColor,
        fill: userColor,
        selectedColor,
        onClick: onChange
      }
    ))
  );
};
const ColorSwatch = ({ fill, selectedColor, onClick }) => {
  return /* @__PURE__ */ t__default.default.createElement(
    designSystem.Tooltip,
    {
      appendTo: (el) => {
        var _a;
        return Boolean((_a = el.getAttribute("data-hook")) == null ? void 0 : _a.includes("ricos-portal"));
      },
      content: fill,
      dataHook: "color-swatch-tooltip"
    },
    /* @__PURE__ */ t__default.default.createElement(
      designSystem.FillPreview,
      {
        className: classes.colorSwatch,
        selected: selectedColor === fill,
        onClick: (e) => {
          e.preventDefault();
          e.stopPropagation();
          onClick(fill);
        },
        fill,
        dataHook: colorPicker_common_dataHooks.SWATCH
      }
    )
  );
};
const EmptyColorSwatch = ({
  onClick,
  selected
}) => {
  const { t: t$1 } = t.useContext(ricosContext.RicosContext);
  return /* @__PURE__ */ t__default.default.createElement(
    designSystem.Tooltip,
    {
      appendTo: (el) => {
        var _a;
        return Boolean((_a = el.getAttribute("data-hook")) == null ? void 0 : _a.includes("ricos-portal"));
      },
      content: t$1("ColorPicker_RemoveColor_Tooltip"),
      dataHook: "color-swatch-tooltip"
    },
    /* @__PURE__ */ t__default.default.createElement(
      designSystem.FillPreview,
      {
        className: classes.colorSwatch,
        onClick: () => onClick(void 0),
        selected,
        dataHook: colorPicker_common_dataHooks.SWATCH
      }
    )
  );
};

exports.ColorSwatches = ColorSwatches;
//# sourceMappingURL=color-swatches.js.map
