'use strict';

var unidriver = require('@wix/design-system/dist/testkit/unidriver');
var wixRichContentCommon = require('wix-rich-content-common');
var colorPicker_common_colorSwatchesUnidriver = require('../common/color-swatches-unidriver.js');
var colorPicker_floatingColorPicker_dataHooks = require('./data-hooks.js');
require('ricos-styles');
require('../common/data-hooks.js');

const createFloatingColorPickerUniDriver = (getBase) => {
  return {
    exists: async () => {
      const modal = await getBase().$(wixRichContentCommon.dataHook(colorPicker_floatingColorPicker_dataHooks.FLOATING_COLOR_SWATCHES));
      return modal.exists();
    },
    waitForElement: async () => {
      await getBase().get(wixRichContentCommon.dataHook(colorPicker_floatingColorPicker_dataHooks.FLOATING_COLOR_SWATCHES));
    },
    swatches: colorPicker_common_colorSwatchesUnidriver.createColorSwatchesUnidriver(getBase),
    resetButton: unidriver.TextButtonUniDriver(getBase().$(wixRichContentCommon.dataHook(colorPicker_floatingColorPicker_dataHooks.RESET_BUTTON)), getBase())
  };
};

exports.createFloatingColorPickerUniDriver = createFloatingColorPickerUniDriver;
//# sourceMappingURL=floating-color-picker-unidriver.js.map
