'use strict';

var designSystem = require('@wix/design-system');
var t = require('react');
var ricosContext = require('ricos-context');
var ClickOutside_useClickOutside = require('../../ClickOutside/useClickOutside.js');
var colorPicker_common_colorSwatches = require('../common/color-swatches.js');
var colorPicker_floatingColorPicker_dataHooks = require('./data-hooks.js');
var styleInject_es = require('../../style-inject.es-e29c91b9.js');
var colorPicker_floatingColorPicker_floatingCustomColorPicker_useCustomColorPickerModal = require('./floating-custom-color-picker/use-custom-color-picker-modal.js');
var modalLayout_floatingLayout_floatingLayout = require('../../modal-layout/floating-layout/floating-layout.js');
require('../../RevertSmall-d9e2fd1f.js');
require('classnames');
require('../common/data-hooks.js');
require('./floating-custom-color-picker/floating-custom-color-picker.js');
require('../../modal-layout/floating-layout/floating-desktop-layout.js');
require('../../ui-components-provider.js');
require('../../modal-layout/floating-layout/data-hooks.js');
require('../../modal-layout/fullscreen-mobile-layout/fullscreen-mobile-layout.js');
require('../../modal-layout/fullscreen-mobile-layout/data-hooks.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var t__default = /*#__PURE__*/_interopDefaultCompat(t);

var css_248z = ".eHmvZ{--wds-font-size-body-medium:16px}";
var classes = {"resetButton":"eHmvZ"};
styleInject_es.styleInject(css_248z);

const FloatingColorPicker = ({
  title,
  currentColor,
  userColors,
  onChange,
  onReset,
  closeModal,
  referenceElement,
  allowEmpty
}) => {
  const { t: t$1, isMobile } = t.useContext(ricosContext.RicosContext);
  const modalRef = t.useRef(null);
  const customColorPicker = colorPicker_floatingColorPicker_floatingCustomColorPicker_useCustomColorPickerModal.useCustomColorPickerModal({
    onClickOutside: closeModal,
    componentProps: {
      title,
      color: currentColor == null ? void 0 : currentColor.toUpperCase(),
      onConfirm: (color) => {
        if (!userColors.includes(color)) {
          onChange({ type: "colorAdded", color });
        }
        customColorPicker.closeModal();
      },
      allowEmpty
    }
  });
  const onClickOutside = (e) => {
    var _a;
    const target = e.target;
    if (((_a = target == null ? void 0 : target.dataset) == null ? void 0 : _a.hook) === "tooltip-text" || (target == null ? void 0 : target.role) === "tooltip" || (referenceElement == null ? void 0 : referenceElement.contains(target))) {
      return;
    }
    closeModal();
  };
  ClickOutside_useClickOutside.useClickOutside(modalRef, onClickOutside, customColorPicker.isModalOpen());
  return /* @__PURE__ */ t__default.default.createElement(
    modalLayout_floatingLayout_floatingLayout.FloatingLayout,
    {
      onCloseButtonClick: closeModal,
      sidePanelProps: { height: "fit-content", width: isMobile ? "100%" : "240px" },
      dataHook: colorPicker_floatingColorPicker_dataHooks.FLOATING_COLOR_SWATCHES,
      header: isMobile ? {
        title
      } : void 0,
      content: {
        noPadding: true,
        children: /* @__PURE__ */ t__default.default.createElement(designSystem.Box, { ref: modalRef, direction: "vertical" }, /* @__PURE__ */ t__default.default.createElement(designSystem.Box, { padding: isMobile ? "12px 24px" : "SP2", direction: "vertical" }, /* @__PURE__ */ t__default.default.createElement(
          colorPicker_common_colorSwatches.ColorSwatches,
          {
            userColors,
            selectedColor: currentColor == null ? void 0 : currentColor.toUpperCase(),
            onAddClick: () => {
              customColorPicker.toggleModal(modalRef.current);
            },
            onChange: (color) => onChange({ type: "colorSelected", color }),
            size: isMobile ? "medium" : "small",
            allowEmpty
          }
        )), /* @__PURE__ */ t__default.default.createElement(designSystem.Box, { paddingInline: "-24px", marginBlock: isMobile ? "12px" : void 0 }, /* @__PURE__ */ t__default.default.createElement(designSystem.Divider, null)), /* @__PURE__ */ t__default.default.createElement(designSystem.Box, { padding: isMobile ? "0px 24px 24px 24px" : "9px 12px" }, /* @__PURE__ */ t__default.default.createElement(
          designSystem.TextButton,
          {
            onClick: () => {
              onReset();
              customColorPicker.closeModal();
            },
            underline: "always",
            size: isMobile ? "medium" : "tiny",
            className: classes.resetButton,
            dataHook: colorPicker_floatingColorPicker_dataHooks.RESET_BUTTON
          },
          t$1("ColorPicker_SetToDefault_ButtonLabel")
        )))
      }
    }
  );
};

exports.FloatingColorPicker = FloatingColorPicker;
//# sourceMappingURL=floating-color-picker.js.map
