'use strict';

var designSystem = require('@wix/design-system');
var t = require('react');
var ricosContext = require('ricos-context');
var styleInject_es = require('../../../style-inject.es-e29c91b9.js');
var modalLayout_floatingLayout_floatingLayout = require('../../../modal-layout/floating-layout/floating-layout.js');
require('../../../modal-layout/floating-layout/floating-desktop-layout.js');
require('classnames');
require('../../../ui-components-provider.js');
require('../../../modal-layout/floating-layout/data-hooks.js');
require('../../../modal-layout/fullscreen-mobile-layout/fullscreen-mobile-layout.js');
require('../../../modal-layout/fullscreen-mobile-layout/data-hooks.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var t__default = /*#__PURE__*/_interopDefaultCompat(t);

var css_248z = ".-sT8n{display:flex;justify-content:center}[dir] .-sT8n{box-shadow:0 0 18px rgba(0,6,36,.1),0 6px 6px rgba(0,6,36,.05);margin-bottom:12px}";
var classes = {"colorPicker":"-sT8n"};
styleInject_es.styleInject(css_248z);

const FloatingCustomColorPicker = ({
  title,
  color,
  onCancel,
  onConfirm,
  allowEmpty
}) => {
  const { t: t$1, isMobile } = t.useContext(ricosContext.RicosContext);
  return /* @__PURE__ */ t__default.default.createElement(
    modalLayout_floatingLayout_floatingLayout.FloatingLayout,
    {
      onCloseButtonClick: onCancel,
      sidePanelProps: {
        height: "fit-content",
        width: isMobile ? "100%" : "fit-content"
      },
      header: isMobile ? {
        title
      } : void 0,
      content: {
        children: /* @__PURE__ */ t__default.default.createElement(designSystem.Box, { align: "center" }, /* @__PURE__ */ t__default.default.createElement(
          "div",
          {
            className: isMobile ? classes.colorPicker : void 0,
            tabIndex: 0,
            "aria-label": title
          },
          /* @__PURE__ */ t__default.default.createElement(
            designSystem.ColorPicker,
            {
              value: color != null ? color : "",
              showConverter: false,
              onChange: () => {
              },
              onConfirm: (color2) => {
                const colorHex = typeof color2 === "string" ? color2 : color2.hex();
                onConfirm(colorHex);
              },
              onCancel,
              allowEmpty,
              emptyPlaceholder: t$1("CustomColorPicker_Empty_Placeholder")
            }
          )
        ))
      }
    }
  );
};

exports.FloatingCustomColorPicker = FloatingCustomColorPicker;
//# sourceMappingURL=floating-custom-color-picker.js.map
