'use strict';

var designSystem = require('@wix/design-system');
var t = require('react');
var colorPicker_common_colorSwatches = require('../common/color-swatches.js');
require('../../RevertSmall-d9e2fd1f.js');
require('classnames');
require('ricos-context');
require('../../style-inject.es-e29c91b9.js');
require('../common/data-hooks.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var t__default = /*#__PURE__*/_interopDefaultCompat(t);

const ColorPicker = ({
  userColors,
  color,
  onChange,
  onNewColorAdded,
  showColorPicker: initialShowColorPicker,
  colorPickerClassName,
  showResetButton
}) => {
  const [showColorPicker, setShowColorPicker] = t.useState(initialShowColorPicker);
  return /* @__PURE__ */ t__default.default.createElement(designSystem.Box, { direction: "vertical", marginTop: "SP2", marginBottom: "SP2", gap: "SP2" }, /* @__PURE__ */ t__default.default.createElement(
    colorPicker_common_colorSwatches.ColorSwatches,
    {
      userColors,
      selectedColor: color,
      onAddClick: () => setShowColorPicker(true),
      onChange,
      showResetButton
    }
  ), showColorPicker ? /* @__PURE__ */ t__default.default.createElement("div", { className: colorPickerClassName }, /* @__PURE__ */ t__default.default.createElement(
    designSystem.ColorPicker,
    {
      value: color || userColors[0],
      showConverter: false,
      onChange: () => {
      },
      onConfirm: (color2) => {
        setShowColorPicker(false);
        const colorHex = typeof color2 === "string" ? color2 : color2.hex();
        if (!userColors.includes(colorHex)) {
          onNewColorAdded(colorHex);
        }
      },
      onCancel: () => setShowColorPicker(false)
    }
  )) : null);
};

exports.ColorPicker = ColorPicker;
//# sourceMappingURL=color-picker.js.map
