'use strict';

var designSystem = require('@wix/design-system');
var t = require('react');
var colorPicker_toggledColorPicker_colorPicker = require('./color-picker.js');
var colorPicker_toggledColorPicker_dataHooks = require('./data-hooks.js');
var colorPicker_toggledColorPicker_liveSiteColorHint = require('./live-site-color-hint.js');
require('../common/color-swatches.js');
require('../../RevertSmall-d9e2fd1f.js');
require('classnames');
require('ricos-context');
require('../../style-inject.es-e29c91b9.js');
require('../common/data-hooks.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var t__default = /*#__PURE__*/_interopDefaultCompat(t);

const ToggledColorPicker = ({
  label,
  color,
  userColors,
  onChange,
  onNewColorAdded,
  onToggle,
  isExpanded,
  dataHook,
  showColorPicker,
  colorPickerClassName,
  showResetButton,
  defaultColor,
  showLiveSiteHint
}) => {
  return /* @__PURE__ */ t__default.default.createElement("div", { "data-hook": dataHook }, /* @__PURE__ */ t__default.default.createElement(designSystem.Box, { align: "space-between", marginBottom: "SP1", marginTop: "SP1", verticalAlign: "middle" }, /* @__PURE__ */ t__default.default.createElement(designSystem.Text, { size: "small" }, label), /* @__PURE__ */ t__default.default.createElement(designSystem.Box, { width: "24px" }, /* @__PURE__ */ t__default.default.createElement(
    designSystem.FillPreview,
    {
      content: void 0,
      fill: color || defaultColor,
      onClick: onToggle,
      dataHook: colorPicker_toggledColorPicker_dataHooks.SWATCH_TOGGLE
    }
  ))), isExpanded ? /* @__PURE__ */ t__default.default.createElement(t__default.default.Fragment, null, showLiveSiteHint && /* @__PURE__ */ t__default.default.createElement(colorPicker_toggledColorPicker_liveSiteColorHint.ColorPickerLiveSiteColorHint, null), /* @__PURE__ */ t__default.default.createElement(
    colorPicker_toggledColorPicker_colorPicker.ColorPicker,
    {
      userColors,
      color,
      onChange,
      onNewColorAdded,
      showColorPicker,
      colorPickerClassName,
      showResetButton
    }
  )) : null);
};

exports.ToggledColorPicker = ToggledColorPicker;
//# sourceMappingURL=toggled-color-picker.js.map
