'use strict';

var designSystem = require('@wix/design-system');
var t = require('react');
var imageUtils = require('wix-rich-content-common/libs/imageUtils');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var t__default = /*#__PURE__*/_interopDefaultCompat(t);

var __defProp = Object.defineProperty;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __objRest = (source, exclude) => {
  var target = {};
  for (var prop in source)
    if (__hasOwnProp.call(source, prop) && exclude.indexOf(prop) < 0)
      target[prop] = source[prop];
  if (source != null && __getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(source)) {
      if (exclude.indexOf(prop) < 0 && __propIsEnum.call(source, prop))
        target[prop] = source[prop];
    }
  return target;
};
const ImageViewer = (_a) => {
  var _b = _a, { image, height, width } = _b, props = __objRest(_b, ["image", "height", "width"]);
  var _a2, _b2;
  const imageSrc = ((_a2 = image == null ? void 0 : image.src) == null ? void 0 : _a2.id) || ((_b2 = image == null ? void 0 : image.src) == null ? void 0 : _b2.url);
  return /* @__PURE__ */ t__default.default.createElement(
    designSystem.ImageViewer,
    __spreadValues({
      imageUrl: imageUtils.getImageSrc(
        {
          file_name: imageSrc,
          id: imageSrc,
          width: image == null ? void 0 : image.width,
          height: image == null ? void 0 : image.height
        },
        void 0,
        {
          requiredWidth: width,
          requiredHeight: height,
          requiredQuality: 80
        }
      )
    }, props)
  );
};

exports.ImageViewer = ImageViewer;
//# sourceMappingURL=image-viewer.js.map
