'use strict';

var designSystem = require('@wix/design-system');
var t = require('react');
var ricosContext = require('ricos-context');
var linkInput_utils = require('./utils.js');
require('wix-rich-content-common');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var t__default = /*#__PURE__*/_interopDefaultCompat(t);

const LinkInput = ({
  value,
  onChange,
  placeholder,
  dataHook,
  inputRef,
  onBlur
}) => {
  const [submittedInvalidUrl, setSubmittedInvalidUrl] = t.useState(() => value && !linkInput_utils.isValidUrl(value));
  const { t: t$1 } = t.useContext(ricosContext.RicosContext);
  const handleInputChange = (event) => {
    const value2 = event.target.value;
    setSubmittedInvalidUrl(false);
    onChange(value2);
  };
  const handleBlur = () => {
    if (value && !linkInput_utils.isValidUrl(value)) {
      setSubmittedInvalidUrl(true);
    }
    onBlur == null ? void 0 : onBlur({ url: value });
  };
  return /* @__PURE__ */ t__default.default.createElement(
    designSystem.FormField,
    {
      status: submittedInvalidUrl ? "error" : void 0,
      statusMessage: submittedInvalidUrl ? t$1("LinkPanel_ErrorTooltip") : void 0,
      label: t$1("GalleryImageSettings_Link_Label")
    },
    /* @__PURE__ */ t__default.default.createElement(
      designSystem.Input,
      {
        inputRef: (ref) => {
          if (inputRef) {
            inputRef.current = ref;
          }
        },
        type: "url",
        placeholder,
        value,
        onChange: handleInputChange,
        dataHook,
        onBlur: handleBlur
      }
    )
  );
};

exports.LinkInput = LinkInput;
//# sourceMappingURL=link-input.js.map
