'use strict';

var designSystem = require('@wix/design-system');
var t = require('react');
var ricosContext = require('ricos-context');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var t__default = /*#__PURE__*/_interopDefaultCompat(t);

const CheckboxWithInfoIcon = ({ checked, onChange, textContent, tooltipContent, dataHook }) => {
  const { t: t$1 } = t.useContext(ricosContext.RicosContext);
  const zIndexService = t.useContext(ricosContext.ZIndexContext);
  return /* @__PURE__ */ t__default.default.createElement(designSystem.Checkbox, { dataHook, size: "small", checked, onChange }, tooltipContent ? /* @__PURE__ */ t__default.default.createElement(designSystem.Box, { verticalAlign: "middle", gap: "SP1" }, /* @__PURE__ */ t__default.default.createElement(designSystem.Text, { size: "small" }, t$1(textContent)), /* @__PURE__ */ t__default.default.createElement(
    designSystem.InfoIcon,
    {
      size: "small",
      content: t$1(tooltipContent),
      tooltipProps: {
        appendTo: (el) => {
          var _a;
          return Boolean((_a = el.getAttribute("data-hook")) == null ? void 0 : _a.includes("ricos-portal"));
        },
        zIndex: zIndexService.getZIndex("TOOLTIP")
      }
    }
  )) : /* @__PURE__ */ t__default.default.createElement(designSystem.Text, { size: "small" }, t$1(textContent)));
};

exports.CheckboxWithInfoIcon = CheckboxWithInfoIcon;
//# sourceMappingURL=checkbox-with-info-icon.js.map
