'use strict';

var unidriver = require('@wix/design-system/dist/testkit/unidriver');
var wixRichContentCommon = require('wix-rich-content-common');
var linkSettings_dataHooks = require('./data-hooks.js');

const createLinkSettingsUnidriver = (getBase) => {
  return {
    urlInput: unidriver.InputUniDriver(getBase().$(wixRichContentCommon.dataHook(linkSettings_dataHooks.LINK_PANEL_MODAL_LINK_INPUT)), getBase()),
    openInNewTabCheckbox: unidriver.CheckboxUniDriver(
      getBase().$(wixRichContentCommon.dataHook(linkSettings_dataHooks.LINK_SETTINGS_CHECKBOX_NEW_TAB)),
      getBase()
    ),
    noReferrerCheckbox: unidriver.CheckboxUniDriver(
      getBase().$(wixRichContentCommon.dataHook(linkSettings_dataHooks.LINK_SETTINGS_CHECKBOX_NOREFERRER)),
      getBase()
    ),
    noFollowCheckbox: unidriver.CheckboxUniDriver(
      getBase().$(wixRichContentCommon.dataHook(linkSettings_dataHooks.LINK_SETTINGS_CHECKBOX_NOFOLLOW)),
      getBase()
    ),
    sponsoredCheckbox: unidriver.CheckboxUniDriver(
      getBase().$(wixRichContentCommon.dataHook(linkSettings_dataHooks.LINK_SETTINGS_CHECKBOX_SPONSORED)),
      getBase()
    )
  };
};

exports.createLinkSettingsUnidriver = createLinkSettingsUnidriver;
//# sourceMappingURL=link-settings-unidriver.js.map
