'use strict';

var designSystem = require('@wix/design-system');
var t = require('react');
var ricosContext = require('ricos-context');
var linkSettings_checkboxWithInfoIcon = require('./checkbox-with-info-icon.js');
var linkSettings_dataHooks = require('./data-hooks.js');
var linkInput_linkInput = require('../link-input/link-input.js');
require('../link-input/utils.js');
require('wix-rich-content-common');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var t__default = /*#__PURE__*/_interopDefaultCompat(t);

var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
const LinkSettings = ({
  linkValue,
  onChange,
  options,
  inputRef
}) => {
  var _a;
  const { t: t$1 } = t.useContext(ricosContext.RicosContext);
  const [state, setState] = t.useState({
    url: linkValue.url || "",
    openInNewTab: !!linkValue.openInNewTab,
    noreferrer: !!linkValue.noreferrer,
    nofollow: !!linkValue.nofollow,
    sponsored: !!linkValue.sponsored
  });
  const handleCheckboxChange = (key) => {
    setState((prevState) => {
      const newState = __spreadProps(__spreadValues({}, prevState), { [key]: !prevState[key] });
      if (newState.url) {
        onChange(newState);
      }
      return newState;
    });
  };
  return /* @__PURE__ */ t__default.default.createElement(designSystem.Box, { direction: "vertical", gap: "SP3", width: "100%" }, (options == null ? void 0 : options.showInputField) !== false ? /* @__PURE__ */ t__default.default.createElement(
    linkInput_linkInput.LinkInput,
    {
      value: (_a = state.url) != null ? _a : "",
      onChange: (url) => {
        setState((prev) => {
          const newState = __spreadProps(__spreadValues({}, prev), { url });
          return newState;
        });
      },
      onBlur: ({ url }) => {
        onChange(__spreadProps(__spreadValues({}, state), { url }));
      },
      placeholder: t$1("LinkPanel_InputPlaceholder"),
      dataHook: linkSettings_dataHooks.LINK_PANEL_MODAL_LINK_INPUT,
      inputRef
    }
  ) : null, /* @__PURE__ */ t__default.default.createElement(designSystem.Box, { direction: "vertical", gap: "SP2" }, (options == null ? void 0 : options.showNewTabCheckbox) && /* @__PURE__ */ t__default.default.createElement(
    linkSettings_checkboxWithInfoIcon.CheckboxWithInfoIcon,
    {
      dataHook: linkSettings_dataHooks.LINK_SETTINGS_CHECKBOX_NEW_TAB,
      checked: state.openInNewTab,
      onChange: () => handleCheckboxChange("openInNewTab"),
      textContent: "LinkPanel_Target_Checkbox",
      tooltipContent: null
    }
  ), (options == null ? void 0 : options.showNoReferrerCheckbox) && /* @__PURE__ */ t__default.default.createElement(
    linkSettings_checkboxWithInfoIcon.CheckboxWithInfoIcon,
    {
      dataHook: linkSettings_dataHooks.LINK_SETTINGS_CHECKBOX_NOREFERRER,
      checked: state.noreferrer,
      onChange: () => handleCheckboxChange("noreferrer"),
      textContent: "LinkPanel_Noreferrer_Checkbox_Label",
      tooltipContent: "LinkPanel_Noreferrer_Tooltip"
    }
  ), (options == null ? void 0 : options.showNoFollowCheckbox) && /* @__PURE__ */ t__default.default.createElement(
    linkSettings_checkboxWithInfoIcon.CheckboxWithInfoIcon,
    {
      dataHook: linkSettings_dataHooks.LINK_SETTINGS_CHECKBOX_NOFOLLOW,
      checked: state.nofollow,
      onChange: () => handleCheckboxChange("nofollow"),
      textContent: "LinkPanel_Nofollow_Checkbox",
      tooltipContent: "LinkPanel_Nofollow_Tooltip"
    }
  ), (options == null ? void 0 : options.showSponsoredCheckbox) && /* @__PURE__ */ t__default.default.createElement(
    linkSettings_checkboxWithInfoIcon.CheckboxWithInfoIcon,
    {
      dataHook: linkSettings_dataHooks.LINK_SETTINGS_CHECKBOX_SPONSORED,
      checked: state.sponsored,
      onChange: () => handleCheckboxChange("sponsored"),
      textContent: "LinkPanel_Sponsored_Checkbox",
      tooltipContent: null
    }
  )));
};

exports.LinkSettings = LinkSettings;
//# sourceMappingURL=link-settings.js.map
