'use strict';

var designSystem = require('@wix/design-system');
var t = require('react');
var ricosContext = require('ricos-context');
var styleInject_es = require('../style-inject.es-e29c91b9.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var t__default = /*#__PURE__*/_interopDefaultCompat(t);

var css_248z = "[dir] .IIZNW{margin-top:var(--ricos-thumbnail-picker-margin-top,0)}.QO3i3{display:grid;grid-template-columns:repeat(4,60px);justify-content:space-between;row-gap:12px}";
var classes = {"root":"IIZNW","container":"QO3i3"};
styleInject_es.styleInject(css_248z);

const ThumbnailPicker = ({
  title,
  titleInfoContent,
  selectedValue,
  onChange,
  dataSource
}) => {
  const zIndexService = t.useContext(ricosContext.ZIndexContext);
  return /* @__PURE__ */ t__default.default.createElement(designSystem.Box, { direction: "vertical", gap: "SP3", className: classes.root }, titleInfoContent ? /* @__PURE__ */ t__default.default.createElement(designSystem.Box, { verticalAlign: "middle", gap: "SP1" }, /* @__PURE__ */ t__default.default.createElement(designSystem.Text, { size: "small" }, title), /* @__PURE__ */ t__default.default.createElement(
    designSystem.InfoIcon,
    {
      size: "small",
      content: titleInfoContent,
      tooltipProps: {
        appendTo: (el) => {
          var _a;
          return Boolean((_a = el.getAttribute("data-hook")) == null ? void 0 : _a.includes("ricos-portal"));
        },
        zIndex: zIndexService.getZIndex("TOOLTIP")
      }
    }
  )) : /* @__PURE__ */ t__default.default.createElement(designSystem.Text, { size: "small" }, title), /* @__PURE__ */ t__default.default.createElement("div", { className: classes.container }, dataSource.map(({ value, dataHook, renderBackgroundImage, label }) => /* @__PURE__ */ t__default.default.createElement(
    designSystem.Thumbnail,
    {
      key: value,
      size: "small",
      selected: value === selectedValue,
      title: label ? /* @__PURE__ */ t__default.default.createElement(designSystem.Text, { size: "tiny" }, label) : void 0,
      onClick: () => onChange(value),
      height: "60px",
      backgroundImage: renderBackgroundImage({
        height: "40px",
        width: "40px",
        margin: "5px"
      }),
      dataHook
    }
  ))));
};

exports.ThumbnailPicker = ThumbnailPicker;
//# sourceMappingURL=thumbnail-picker.js.map
