import classNames from 'classnames';
import t__default from 'react';
import { MediaUploadErrorKey } from 'wix-rich-content-common';
import Tooltip from 'wix-rich-content-common/libs/Tooltip';
import { s as styleInject } from '../style-inject.es-e7b07dd7.js';
import ErrorIcon from '../Icons/ErrorIcon.js';

var css_248z = ".j-Mw-{align-items:center;color:#fff;display:flex;height:100%;justify-content:center;position:absolute;top:0;width:100%}[dir] .j-Mw-{background:rgba(0,0,0,.5);text-align:center}.qTLU0{height:20px;width:20px}[dir] .CCHfy{margin-bottom:56px}.Ttd7y{font-size:16px;line-height:24px;position:absolute}";
var styles = {"error":"j-Mw-","errorIcon":"qTLU0","errorIconWithMessage":"CCHfy","errorMsg":"Ttd7y"};
styleInject(css_248z);

const errorMessages = {
  [MediaUploadErrorKey.GENERIC]: "UploadFile_Error_Generic_Item",
  [MediaUploadErrorKey.QUOTA_STORAGE_VISITOR]: "UploadFile_Error_Generic_Item",
  [MediaUploadErrorKey.QUOTA_STORAGE_OWNER]: "UploadFile_Error_Generic_Item",
  [MediaUploadErrorKey.QUOTA_VIDEO_VISITOR]: "UploadFile_Error_Generic_Item",
  [MediaUploadErrorKey.QUOTA_VIDEO_OWNER]: "UploadFile_Error_Generic_Item",
  [MediaUploadErrorKey.SIZE_LIMIT]: "UploadFile_Error_Size_Item"
};
const MediaItemErrorMsg = (props) => {
  const { error, t, isTooltip } = props;
  const errorMsg = error.key && (t == null ? void 0 : t(errorMessages[error.key])) || error.msg || (t == null ? void 0 : t("UploadFile_Error_Generic_Item"));
  const errorIconStyles = classNames(styles.errorIcon, !isTooltip && styles.errorIconWithMessage);
  return /* @__PURE__ */ t__default.createElement("div", { className: styles.error }, isTooltip ? /* @__PURE__ */ t__default.createElement(Tooltip, { content: errorMsg, isError: true }, /* @__PURE__ */ t__default.createElement(ErrorIcon, { className: errorIconStyles })) : /* @__PURE__ */ t__default.createElement(t__default.Fragment, null, /* @__PURE__ */ t__default.createElement(ErrorIcon, { className: errorIconStyles }), /* @__PURE__ */ t__default.createElement("div", { className: styles.errorMsg }, errorMsg)));
};

export { MediaItemErrorMsg as default };
//# sourceMappingURL=MediaItemErrorMsg.js.map
