import { TextButtonUniDriver } from '@wix/design-system/dist/testkit/unidriver';
import { dataHook } from 'wix-rich-content-common';
import { createColorSwatchesUnidriver } from '../common/color-swatches-unidriver.js';
import { FLOATING_COLOR_SWATCHES, RESET_BUTTON } from './data-hooks.js';
import 'ricos-styles';
import '../common/data-hooks.js';

const createFloatingColorPickerUniDriver = (getBase) => {
  return {
    exists: async () => {
      const modal = await getBase().$(dataHook(FLOATING_COLOR_SWATCHES));
      return modal.exists();
    },
    waitForElement: async () => {
      await getBase().get(dataHook(FLOATING_COLOR_SWATCHES));
    },
    swatches: createColorSwatchesUnidriver(getBase),
    resetButton: TextButtonUniDriver(getBase().$(dataHook(RESET_BUTTON)), getBase())
  };
};

export { createFloatingColorPickerUniDriver };
//# sourceMappingURL=floating-color-picker-unidriver.js.map
