import { InputUniDriver, CheckboxUniDriver } from '@wix/design-system/dist/testkit/unidriver';
import { dataHook } from 'wix-rich-content-common';
import { LINK_PANEL_MODAL_LINK_INPUT, LINK_SETTINGS_CHECKBOX_NEW_TAB, LINK_SETTINGS_CHECKBOX_NOREFERRER, LINK_SETTINGS_CHECKBOX_NOFOLLOW, LINK_SETTINGS_CHECKBOX_SPONSORED } from './data-hooks.js';

const createLinkSettingsUnidriver = (getBase) => {
  return {
    urlInput: InputUniDriver(getBase().$(dataHook(LINK_PANEL_MODAL_LINK_INPUT)), getBase()),
    openInNewTabCheckbox: CheckboxUniDriver(
      getBase().$(dataHook(LINK_SETTINGS_CHECKBOX_NEW_TAB)),
      getBase()
    ),
    noReferrerCheckbox: CheckboxUniDriver(
      getBase().$(dataHook(LINK_SETTINGS_CHECKBOX_NOREFERRER)),
      getBase()
    ),
    noFollowCheckbox: CheckboxUniDriver(
      getBase().$(dataHook(LINK_SETTINGS_CHECKBOX_NOFOLLOW)),
      getBase()
    ),
    sponsoredCheckbox: CheckboxUniDriver(
      getBase().$(dataHook(LINK_SETTINGS_CHECKBOX_SPONSORED)),
      getBase()
    )
  };
};

export { createLinkSettingsUnidriver };
//# sourceMappingURL=link-settings-unidriver.js.map
