import type { FunctionComponent, InputHTMLAttributes } from 'react';
import { SLIDER_THUMB_VISIBILITY, SLIDER_TRACK_SIZE } from '../consts';
type ThumbVisibilityKeys = keyof typeof SLIDER_THUMB_VISIBILITY;
type TrackSizeKeys = keyof typeof SLIDER_TRACK_SIZE;
interface SliderProps {
    value: number;
    min?: number;
    max?: number;
    onChange: (value: number) => void;
    onChangeCommitted?: (value: number) => void;
    dataHook?: string;
    step?: string;
    thumbVisibility?: (typeof SLIDER_THUMB_VISIBILITY)[ThumbVisibilityKeys];
    trackSize?: (typeof SLIDER_TRACK_SIZE)[TrackSizeKeys];
    tabIndex?: number;
    ariaProps?: InputHTMLAttributes<HTMLInputElement>;
    languageDir: string;
    liveSiteWiring?: boolean;
    ariaLabel?: string;
}
declare const Slider: FunctionComponent<SliderProps>;
export default Slider;
//# sourceMappingURL=Slider.d.ts.map